Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #2159 (new defect)

Opened 13 years ago

Last modified 13 years ago

madwifi-ng-0.9.4 does not builds with 2.6.27 kernel

Reported by: pva@gentoo.org Assigned to:
Priority: minor Milestone:
Component: madwifi: other Version: v0.9.4
Keywords: Cc:
Patch is attached: 0 Pending: 0

Description (Last modified by mrenzmann)

Hello. We received report that madwifi-ng fails to build on 2.6.27 kernels:

http://bugs.gentoo.org/show_bug.cgi?id=242238

madwifi-0.9.4/net80211/ieee80211_wireless.c:1593:
error: too few arguments to function 'iwe_stream_add_event'

Could you, please, suggest how to fix this problem, or possibly release new version which will support latest kernels. Thank you.

Change History

10/17/08 06:17:52 changed by mrenzmann

  • description changed.

10/18/08 18:43:47 changed by anonymous

Seems this one work ok, I'm testing it on my Debian box and looks ok so far.

madwifi.org/changeset/3811

10/20/08 05:16:20 changed by pva@gentoo.org

Yes, thank you. But still there is not tarbal with that changes. Also seems that that changes should depend on kernel version.